Bug 468377 - No ProbeResp from current AP
No ProbeResp from current AP
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: John W. Linville
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-24 09:51 EDT by Mikolaj Kucharski
Modified: 2008-10-27 11:40 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-27 10:53:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Linux Kernel 10243 None None None Never

  None (edit)
Description Mikolaj Kucharski 2008-10-24 09:51:28 EDT
Fedora 9 with 2.6.26.5-45.fc9.i686.PAE, system boots up and wlan0 (rt61pci) is configured on startup:

wlan0: authenticate with AP 00:15:6d:54:45:e6
wlan0: authenticated
wlan0: associate with AP 00:15:6d:54:45:e6
wlan0: RX AssocResp from 00:15:6d:54:45:e6 (capab=0x31 status=0 aid=4)
wlan0: associated
wlan0: no IPv6 routers present


After various period of time kernel is loosing wireless connection (here was after few days):

wlan0: No ProbeResp from current AP 00:15:6d:54:45:e6 - assume out of range


# ifdown wlan0
# ifup wlan0
wlan0: authenticate with AP 00:15:6d:54:45:e6
wlan0: authenticate with AP 00:15:6d:54:45:e6
wlan0: authenticate with AP 00:15:6d:54:45:e6
wlan0: authentication with AP 00:15:6d:54:45:e6 timed out

phy0 -> rt2x00queue_write_tx_frame: Error - Arrived at non-free entry in the non-full queue 0.
Please file bug report to http://rt2x00.serialmonkey.com.


I'm unable to re-associate with AP and kernel is freezing in less that a
minute.
Comment 1 John W. Linville 2008-10-24 12:08:46 EDT
Ah, good to see you over here now. :-)

So, can you try a rawhide kernel?

yum --enablerepo=development update kernel

Can you recreate the issue with that kernel?
Comment 2 Mikolaj Kucharski 2008-10-24 16:52:50 EDT
I've done `yum --enablerepo=rawhide update kernel-PAE' and we will see what will happened. I'll be in touch.
Comment 3 Mikolaj Kucharski 2008-10-25 16:00:50 EDT
On rawhide kernel updates are quite often. Noting here that currently I'm running on 2.6.27.3-39.fc10.i686.PAE. So far so good, but problem was occurring after few days anyway.
Comment 4 Mikolaj Kucharski 2008-10-26 10:49:28 EDT
No luck. Today I've found my machine without internet connection.

wlan0: No ProbeResp from current AP 00:15:6d:54:45:e6 - assume out of range

# ifdown wlan0
# ifup wlan0

wlan0: authenticate with AP 00:15:6d:54:45:e6
wlan0: authenticate with AP 00:15:6d:54:45:e6
wlan0: authenticated
wlan0: associate with AP 00:15:6d:54:45:e6
wlan0: associate with AP 00:15:6d:54:45:e6
wlan0: RX AssocResp from 00:15:6d:54:45:e6 (capab=0x31 status=0 aid=4)
wlan0: associated


So I can see progress here. No error this time about "non-free entry in the
non-full queue" and kernel did not freeze. Internet is reachable, packets are going through wireless card.

I've just updated to newer kernel from rawhide, so I rebooted machine and now I'm running on 2.6.27.4-47.rc3.fc10.i686.PAE.
Comment 5 Mikolaj Kucharski 2008-10-26 10:57:13 EDT
I would like to say, that I prefer to stay on Fedora 9. So if you have any kernels which I could test for F9 I would be happy. I was running Fedora 10 for a month before and was having problem in subject too. Personally I would like to stay on F9.
Comment 6 John W. Linville 2008-10-27 10:53:36 EDT
You might try an f9 kernel when they have 2.6.27-based ones available -- YMMV.

The behavior in comment 4 looks quite reasonable.  Sometimes connections will drop -- it is the nature of wireless.  If you want the connections to be restarted automatically then you need to use wpa_supplicant or NetworkManager to handle your wireless connections.
Comment 7 Mikolaj Kucharski 2008-10-27 11:34:22 EDT
Well, I know nature of wireless. I have my laptop in the same room connected to the same AP running on different Unix-like OS and it can reconnect without any workarounds or additional packages. I've also seen like my corp Windonws XP can reconnect tho the same AP when he will lost connection. That was amazing. Didn't thought that this is so challenging task for Linux drivers :/

Anyway I'm looking forward to see 2.6.27.x series for f9 to test them and I will keep to test latest rawhide kernels.

I'm little bit disappointed here as I could manage myself without cutting a ticket to do yum update everyday.
Comment 8 John W. Linville 2008-10-27 11:40:07 EDT
Not connecting automatically is a design decision in mac80211 -- feel free to submit patches if you think it should be different.

Note You need to log in before you can comment on or make changes to this bug.